@import "../../palette.scss";
:host {
  
}
.inputField {
	overflow-wrap: break-word;
	margin: 0em !important;
	&:focus {
		outline: none !important;
	}
	height: 16em;
	width: 100%;
	white-space: pre-wrap;
	padding: 3px;
	background: url(../../assets/fff1x1.png) repeat;
	color: #fff;
	resize: none;
	box-sizing: border-box;
	font: inherit;
	border: none;
}

.outputField {
	overflow-wrap: break-word;
	margin: 0em !important;
	height: 16em;
	white-space: pre-wrap;
	overflow-y: auto;
	padding: 3px;
}

.inputField div {
	margin-top: 0.5em !important;
}
.outer-input-field 
{
	padding: 0px;
	max-width: 100%;
	flex-basis: 100%;
}
.matcard {
	margin: 1em;
}
.mattoggle {
	margin: 1em;
}
.mat-button-toggle {
	background-color: map_get($primary-palette, 800) !important;
}
.mat-button-toggle-checked {
	background-color: map_get($primary-palette, 900) !important;
}

.mat-select-panel {
	background-color: rgba(map_get($primary-palette, 800),25) !important;
}
.keyInput{
	background: url(../../assets/fff1x1.png) repeat;
	color: #fff;
    border: none;
    outline:none;
	width: 100%;
}
mat-option:not(.mat-selected) {
	color: white !important;
}
.runBtn {
	width: 12ch;
	text-align: center;
}

.flex-container {
	overflow: hidden;
	display: flex;
	width: 80%;

	justify-content: space-between;
}

.flex-item.item1 {
	flex-basis: 35%;
	max-width: 35%;
}

.flex-item.item2 {
	flex-basis: 10%;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
}
.flex-item.item3 {
	flex-basis: 35%;
	max-width: 35%;
}